#5 Compile flags for java 7

Unstable (example)
open
nobody
None
5
2013-08-09
2013-08-09
Peter Fodor
No

If the code is compiled with java version 1.7 and the code is java 1.6 compliant, then it would be safer to specify the source and target version of java in ant build XML configuration. Using these flags error message is generated if 1.7 features are used and the generated jar are usable with 1.6 JRE-s.

I attach the diff containing the recommended changes of build.xml

1 Attachments

Discussion